#pragma once
#include <map>
struct Fish_GiftCFGData
{
	//炮台类型
	int mTurret;
	//物品ID
	int mItemID;
	//物品数量
	int mItemCount;
};

class Fish_GiftCFG
{
public:
private:
	static std::auto_ptr<Fish_GiftCFG> msSingleton;
public:
	int GetCount();
	const Fish_GiftCFGData* GetData(int Turret);
	const std::map<int, Fish_GiftCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GiftCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GiftCFGData> mMapData;
};
